=== debian/changelog ===
darktable (0.9-1) unstable; urgency=low

  * New upstream release.
  * Remove all patches now upstream; only patch for
    -Wno-error=unused-but-set-variable remains.
  * Bump Standards-Version to 3.9.2 (no changes)

 -- David Bremner <bremner@debian.org>  Tue, 12 Jul 2011 09:36:46 -0300

darktable (0.8-4) unstable; urgency=low

  * Really restrict architecture to any-i386, any-amd64
  * Add -Wno-error=unused-but-set-variable (Closes: #625315)

 -- David Bremner <bremner@debian.org>  Tue, 03 May 2011 22:19:33 -0300

darktable (0.8-3) unstable; urgency=low

  * Restrict architecture to any-i386, any-amd64
  * Backport upstream commits to more gracefully deal with missing sse2
    support (Closes: #623393).

 -- David Bremner <bremner@debian.org>  Thu, 21 Apr 2011 22:35:03 -0300

darktable (0.8-2) unstable; urgency=low

  * Enable cmake option BINARY_PACKAGE_BUILD, which disables build host
    specific optimizations.

 -- David Bremner <bremner@debian.org>  Thu, 14 Apr 2011 23:42:12 -0300

darktable (0.8-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * Initial release (Closes: #553359)

 -- David Bremner <bremner@debian.org>  Tue, 22 Feb 2011 07:58:31 -0400
