=== debian/changelog ===
darktable (0.9.1-2) unstable; urgency=low

  * patch upstream copy of FindGTK2.cmake to work with multi-arch
    (fixes KFreeBSD FTBFS).

 -- David Bremner <bremner@debian.org>  Tue, 16 Aug 2011 23:07:57 -0300

darktable (0.9.1-1) unstable; urgency=low

  * New upstream release

 -- David Bremner <bremner@debian.org>  Tue, 02 Aug 2011 21:32:31 +0200
