=== debian/changelog ===
darktable (0.9.2-1) unstable; urgency=low

  * New upstream version
  * (equivalents of) all patches now upstream

 -- David Bremner <bremner@debian.org>  Sat, 27 Aug 2011 08:41:10 -0300
